%define         srcname       libdockapp

%define         major         3
%define         libname       %mklibname %{name} %{major}
%define         libdevelname  %mklibname -d %{name}

Name:           dockapp
Version:        0.7.3
Release:        %mkrel 2
Summary:        A library that eases the creation of dock apps
License:        MIT
Group:          System/Libraries
URL:            http://windowmaker.org/dockapps/?name=libdockapp
Source0:        %{srcname}-%{version}.tar.gz


BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  x11-font-util


%description
A simple library that eases the creation of WindowMaker dock apps. It
provides functions that set up a dock app in such a way that they can
be properly docked. It also provides some event handlers and makes it
very simple to write dockapps.


%package -n %{libname}
Summary:        A library that eases the creation of dock apps
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.



%package -n %{libdevelname}
Summary:        Development files for libdockapp
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libdevelname}
%{summary}.



%prep
%setup -q -n %{srcname}-%{version}

%build
autoreconf -fi
%configure --with-pic --disable-static

%install
%make_install

find %{buildroot}%{_libdir} -name *.la -delete


%files
%doc README
%{_xfontdir}/X11/misc/*


%files -n %{libname}
%{_libdir}/*.so.*


%files -n %{libdevelname}
%{_includedir}/%{srcname}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_docdir}/%{srcname}



%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.7.3-2.mga9
+ Revision: 1835438
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 eatdirt <eatdirt> 0.7.3-1.mga8
+ Revision: 1656045
- Upgrade to version 0.7.3

* Thu Feb 13 2020 umeabot <umeabot> 0.7.2-3.mga8
+ Revision: 1511908
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.2-2.mga7
+ Revision: 1297478
- Mageia 7 Mass Rebuild

* Tue Mar 08 2016 eatdirt <eatdirt> 0.7.2-1.mga6
+ Revision: 987475
- Upgrade to version 0.7.2

* Thu Feb 11 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 953795
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 eatdirt <eatdirt> 0.7.0-1.mga6
+ Revision: 888654
- imported package dockapp


* Sat Oct 10 2015 Chris Ringeval <eatdirt@mageia.org> 0.7.0-1.mga6
- Importing libdockapp
